#

API Docs for: 2.0.0
Show: Inherited Protected Private Deprecated

# CanvasMaskManager Class

Defined in: `src/pixi/renderers/canvas/utils/CanvasMaskManager.js:5`
Module: PIXI

A set of functions used to handle masking.

## Constructor

### `CanvasMaskManager`

()

Defined in `src/pixi/renderers/canvas/utils/CanvasMaskManager.js:5`

- Index
- Methods

## Item Index

### Methods

- popMask
- pushMask

## Methods

### `popMask`

(

- `renderSession`

)

Defined in `src/pixi/renderers/canvas/utils/CanvasMaskManager.js:49`

Restores the current drawing context to the state it was before the mask was applied.

#### Parameters:

- `renderSession` Object

  The renderSession whose context will be used for this mask manager.

### `pushMask`

(

- `maskData`
- `renderSession`

)

Defined in `src/pixi/renderers/canvas/utils/CanvasMaskManager.js:17`

This method adds it to the current stack of masks.

#### Parameters:

- `maskData` Object

  the maskData that will be pushed

- `renderSession` Object

  The renderSession whose context will be used for this mask manager.